.base-banner01 {
  --swiper-theme-color: #333;
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

.base-banner01 .banner-logo-container {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  margin: auto;
  height: 100%;
  z-index: 2;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  pointer-events: none;
  width: 90%;
}

@media (max-width: 2000px) {
  .base-banner01 .banner-logo-container {
    width: 95%;
  }
}

@media (max-width: 991px) {
  .base-banner01 .banner-logo-container {
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
  }
}

@media (max-width: 767px) {
  .base-banner01 .banner-logo-container {
    width: 100%;
  }
}

@media (max-width: 2200px) {
  .base-banner01 .banner-logo-container .banner-logo {
    width: 28vw;
  }
}

@media (max-width: 991px) {
  .base-banner01 .banner-logo-container .banner-logo {
    width: 30vw;
  }
}

@media (max-width: 900px) {
  .base-banner01 .banner-logo-container .banner-logo {
    width: 32vw;
  }
}

@media (max-width: 700px) {
  .base-banner01 .banner-logo-container .banner-logo {
    width: 50vw;
  }
}

@media (max-width: 480px) {
  .base-banner01 .banner-logo-container .banner-logo {
    width: 46vw;
  }
}

@media (max-width: 380px) {
  .base-banner01 .banner-logo-container .banner-logo {
    width: 41vw;
  }
}

.base-banner01 .banner-logo-container .banner-logo .fadeIn,
.base-banner01 .banner-logo-container .banner-logo .fadeInUp,
.base-banner01 .banner-logo-container .banner-logo .fadeInLeft,
.base-banner01 .banner-logo-container .banner-logo .fadeInRight {
  opacity: 0;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-delay: 0.5s;
  animation-delay: 0.5s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  -webkit-animation-direction: forwards;
  animation-direction: forwards;
}

.base-banner01 .banner-logo-container .banner-logo .fadeIn {
  -webkit-animation-name: fadeIn01;
  animation-name: fadeIn01;
}

.base-banner01 .banner-logo-container .banner-logo .fadeInUp {
  -webkit-animation-name: fadeInUp01;
  animation-name: fadeInUp01;
  -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
}

.base-banner01 .banner-logo-container .banner-logo .fadeInLeft {
  -webkit-animation-name: fadeInLeft01;
  animation-name: fadeInLeft01;
}

.base-banner01 .banner-logo-container .banner-logo .fadeInRight {
  -webkit-animation-name: fadeInRight01;
  animation-name: fadeInRight01;
}

.base-banner01 .swiper-container {
  width: 100%;
  height: 100%;
  position: relative;
}

.base-banner01 .swiper-wrapper {
  width: 100%;
  height: 100%;
}

.base-banner01 .swiper-slide {
  width: 100%;
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

.base-banner01 .swiper-slide img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

.base-banner01 .swiper-slide .banner-slide-link .fadeIn,
.base-banner01 .swiper-slide .banner-slide-link .fadeInUp,
.base-banner01 .swiper-slide .banner-slide-link .fadeInLeft,
.base-banner01 .swiper-slide .banner-slide-link .fadeInRight {
  opacity: 0;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-delay: 0.5s;
  animation-delay: 0.5s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

.base-banner01 .swiper-slide.swiper-slide-active .banner-slide-link .fadeIn,
.base-banner01 .swiper-slide.swiper-slide-active .banner-slide-link .fadeInUp,
.base-banner01 .swiper-slide.swiper-slide-active .banner-slide-link .fadeInLeft,
.base-banner01 .swiper-slide.swiper-slide-active .banner-slide-link .fadeInRight {
  opacity: 0;
  -webkit-animation-direction: forwards;
  animation-direction: forwards;
}

.base-banner01 .swiper-slide.swiper-slide-active .banner-slide-link .fadeIn {
  -webkit-animation-name: fadeIn01;
  animation-name: fadeIn01;
}

.base-banner01 .swiper-slide.swiper-slide-active .banner-slide-link .fadeInUp {
  -webkit-animation-name: fadeInUp01;
  animation-name: fadeInUp01;
  -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
}

.base-banner01 .swiper-slide.swiper-slide-active .banner-slide-link .fadeInLeft {
  -webkit-animation-name: fadeInLeft01;
  animation-name: fadeInLeft01;
}

.base-banner01 .swiper-slide.swiper-slide-active .banner-slide-link .fadeInRight {
  -webkit-animation-name: fadeInRight01;
  animation-name: fadeInRight01;
}

.base-banner01 .swiper-container-horizontal>.swiper-pagination-bullets .swiper-pagination-bullet {
  width: 10px;
  height: 10px;
  border: 1px solid #000;
}

.base-banner01 .swiper-container-horizontal>.swiper-pagination-bullets .swiper-pagination-bullet-active {
  background-color: #fff;
  border: 1px solid #fff;
}

.base-banner01 .banner-slide-link {
  width: 100%;
  display: block;
}

.base-banner01 .banner-slide-link[href=""],
.base-banner01 .banner-slide-link[href="#"] {
  cursor: default;
}

@media (hover: hover) {
  .base-banner01 .banner-slide-link:hover {
    text-decoration: none;
  }
}

.base-banner01 .banner-text-container {
  display: block;
  position: relative;
  z-index: 5;
}

.base-banner01 .banner-text-container.text-align-left {
  text-align: left;
}

.base-banner01 .banner-text-container.text-align-center {
  text-align: center;
}

.base-banner01 .banner-text-container.text-align-right {
  text-align: right;
}

.base-banner01 .banner-title {
  display: block;
  margin-bottom: 1.2rem;
  font-size: var(--FontSizePrimary, 2.5rem);
  color: var(--TextColorTitle, #212121);
}

.base-banner01 .banner-sub-title {
  display: block;
  margin-bottom: 1.2rem;
  font-size: var(--FontSizeSecondary, 1.5rem);
  color: var(--TextColorSecondary, #333333);
}

.base-banner01 .banner-summary {
  display: block;
  font-size: var(--FontSizeBody, 1rem);
  color: var(--TextColorSecondary, #666666);
}

.base-banner01 .page-scroll {
  position: absolute;
  z-index: 3;
  text-align: center;
  margin: auto;
}

@media (max-width: 991px) {
  .base-banner01 .page-scroll {
    display: none;
  }
}

.base-banner01 .page-scroll .scroll-link {
  display: inline-block;
  color: var(--TextColorPrimary, #333);
  letter-spacing: 0.1em;
  text-decoration: none;
  -webkit-transition: opacity 0.3s;
  transition: opacity 0.3s;
  position: relative;
}

@-webkit-keyframes fadeIn01 {
  0% {
    opacity: 0;
    -webkit-transform: translateY(30px);
    transform: translateY(30px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}

@keyframes fadeIn01 {
  0% {
    opacity: 0;
    -webkit-transform: translateY(30px);
    transform: translateY(30px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}

@-webkit-keyframes fadeInUp01 {
  0% {
    opacity: 0;
    -webkit-transform: translateY(30px);
    transform: translateY(30px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}

@keyframes fadeInUp01 {
  0% {
    opacity: 0;
    -webkit-transform: translateY(30px);
    transform: translateY(30px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateY(0);
    transform: translateY(0);
  }
}

@-webkit-keyframes fadeInLeft01 {
  0% {
    opacity: 0;
    -webkit-transform: translateX(-30px);
    transform: translateX(-30px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}

@keyframes fadeInLeft01 {
  0% {
    opacity: 0;
    -webkit-transform: translateX(-30px);
    transform: translateX(-30px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}

@-webkit-keyframes fadeInRight01 {
  0% {
    opacity: 0;
    -webkit-transform: translateX(30px);
    transform: translateX(30px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}

@keyframes fadeInRight01 {
  0% {
    opacity: 0;
    -webkit-transform: translateX(30px);
    transform: translateX(30px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
}